mma_singlestage.h File Reference

Template for a double-buffered threadblock-scoped GEMM kernel. More...

`#include "cutlass/cutlass.h"`
`#include "cutlass/array.h"`
`#include "cutlass/aligned_buffer.h"`
`#include "cutlass/numeric_types.h"`
`#include "cutlass/matrix_shape.h"`
`#include "cutlass/gemm/gemm.h"`
`#include "cutlass/gemm/threadblock/mma_base.h"`
Include dependency graph for mma_singlestage.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | cutlass::gemm::threadblock::MmaSingleStage< Shape_, IteratorA_, SmemIteratorA_, IteratorB_, SmemIteratorB_, ElementC_, LayoutC_, Policy_, Enable >
| Structure to compute the matrix product targeting CUDA cores and SIMT math instructions. More...

## Namespaces

| cutlass
| cutlass::gemm
| cutlass::gemm::threadblock